[Deprecated]: v2.0
post
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/visits/subjectvisit
Deprecated: Randomize a subject and/or dispense kits during a randomization or dispensation visit. Rights: OrsVisitManagementPost.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Supported Media Types
- application/json
Root Schema : Visit Request
Type:
objectTitle:
Visit RequestRequest containing subject visit details.
Show Source
-
AuthUserListDtoV1: array
AuthUserListDtoV1
-
siteId(required): string
(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
-
studyVersion(required): string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.5 -
subjectId(required): string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF -
visitId(required): string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
-
visitTimestamp: string
Pattern:
(\d){4}-(\d){2}-(\d){2} (\d){2}:(\d){2}:(\d){2}Visit date and timeExample:2018-11-23 08:43:01
Nested Schema : AuthUserListDtoV1
Type:
Show Source
array-
Array of:
object Parameter
Contains details about parameters of the form
Nested Schema : Parameter
Type:
objectContains details about parameters of the form
Show Source
-
formId: string
(uuid)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
-
itemId: string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.
-
value: string
(uuid)
Value of the item
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : VisitResult
Type:
objectTitle:
VisitResultVisit result.
Show Source
-
kits: array
Kits
Title:
KitsContains information for the kit dispensation. -
randomNumber: string
Title:
Random NumberRandom number. -
treatmentTitle: string
Title:
Treatment TitleTreatment title. -
visitTimestamp: string
(date-time)
Title:
Visit TimestampVisit timestamp.
Nested Schema : Kits
Type:
arrayTitle:
KitsContains information for the kit dispensation.
Show Source
-
Array of:
object DispensationKit v2.0
Title:
DispensationKit v2.0Contains information for the kit dispensation.
Nested Schema : DispensationKit v2.0
Type:
objectTitle:
DispensationKit v2.0Contains information for the kit dispensation.
Show Source
-
id: number
(Integer)
Title:
Dispensation Kit IDUnique identifier of the dispensation kit.Example:2 -
kitDescription: string
Title:
Kit DescriptionKit description.Example:Kit A
Examples
400 Response
Invalid visit timestamp OR You must associate the randomization design with a visit before you can create/upload a randomization list for it OR The next step in this visit isn???t allowed for subject because the study version at your site isn???t compatible with the subject OR Subject can't be Re-randomized before randomization OR This operation is not allowed in the current subject status
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
404 Response
Invalid study ID or version OR Rand List not found OR Design not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
500 Response
Unsupported Visit OR Subject already completed the visit OR Subject is randomized in error OR Invalid treatment found for the subject OR Visit out of order OR This operation is not allowed in the current subject status OR Visit is outside visit window OR Visit is outside visit window and at least one kit is configured not to dispense outside visit window OR Not enough inventory.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples